Bug 14436 - Noisy warns in C4/Utils/DataTables/Members.pm
Summary: Noisy warns in C4/Utils/DataTables/Members.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-23 04:40 UTC by Aleisha Amohia
Modified: 2016-12-05 21:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14436 - Undefined $searchmember causing warns in C4/Utils/DataTables/Members.pm (1.06 KB, patch)
2015-06-23 04:46 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14436: Undefined $searchtype causing warns (1.07 KB, patch)
2015-07-05 23:14 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14436: Noisy warns in C4/Utils/DataTables/Members.pm (1.25 KB, patch)
2015-07-10 14:57 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14436: Noisy warns in C4/Utils/DataTables/Members.pm (1.33 KB, patch)
2015-07-10 15:24 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 14436: Noisy warns in C4/Utils/DataTables/Members.pm (1.40 KB, patch)
2015-07-13 13:12 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2015-06-23 04:40:38 UTC
Undefined value $searchmember
Comment 1 Aleisha Amohia 2015-06-23 04:46:37 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2015-07-05 23:06:17 UTC
Found another warn when using the search bar to Check out (Enter patron card number or partial name:)

Use of uninitialized value $searchtype in string eq at /home/vagrant/kohaclone/C4/Utils/DataTables/Members.pm line 79.
Comment 3 Aleisha Amohia 2015-07-05 23:14:24 UTC Comment hidden (obsolete)
Comment 4 Indranil Das Gupta 2015-07-06 05:13:17 UTC
Hi Aleisha,

I feel these two one-liners should be squashed into one patch. What say?
Comment 5 M. Tompsett 2015-07-10 14:27:49 UTC
(In reply to Indranil Das Gupta from comment #4)
> Hi Aleisha,
> 
> I feel these two one-liners should be squashed into one patch. What say?

Not only that, but I think you fixed them in the wrong place.
These are parameters set at the beginning of the function. I would correct $searchmember after line 21.

-- after looking further, bug 14344 corrected the issue with the second patch. As such, I am obsoleting the second patch.
Comment 6 M. Tompsett 2015-07-10 14:57:31 UTC Comment hidden (obsolete)
Comment 7 Indranil Das Gupta 2015-07-10 15:24:40 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2015-07-13 13:12:39 UTC
Created attachment 40966 [details] [review]
Bug 14436: Noisy warns in C4/Utils/DataTables/Members.pm

TEST PLAN
---------
1) Backup the koha intranet error log.
2) Empty the koha intranet error log.
3) In staff client, go to Patrons
   (/cgi-bin/koha/members/members-home.pl)
4) Pick any letter to 'Browse by last name'
   -- koha intranet error log now has warns.
   -- the one of importance is the uninitalized value.
5) Empty the koha intranet error log.
6) apply this patch
7) Repeat steps 3 & 4.
   -- koha intranet error log does not contain the
      uninitialized value error.
8) run koha qa test tools.

Signed-off-by: Indranil Das Gupta (L2C2 Technologies) <indradg@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Tomás Cohen Arazi 2015-07-20 13:28:48 UTC
Patch pushed to master.

Thanks Aleisha!
Comment 10 Chris Cormack 2015-07-21 03:59:36 UTC
Pushed to 3.20.x will be in 3.20.2